
Foreman - Bug #14132

Cannot provision GCE instance with external IP flag

03/10/2016 02:19 AM - El Joppa

Status: Duplicate   
Assignee:    

Category: Compute resources - GCE   

Target version:    
Description

Hitting the flag "External IP" in Virtual Machine tab gives me the following message:

Unable to save

Failed to create a compute Google_Operations (europe-west1-b-Google) instance test-gce2.X.no: Inva

lid value for field 'resource.networkInterfaces[0].accessConfigs[0].natIP': 'true'. Must be an IP 

address 

 Without this flag i get a private address for the VM with ip 10.240.x.x

Any quickfix to make this work?

Related issues:

Related to Foreman - Bug #14282: Foreman GCE can't create new host on custom ... New

Is duplicate of Foreman - Bug #4179: Invalid value for field 'resource.networ... Closed

History

#1 - 03/10/2016 02:24 AM - El Joppa

From /usr/share/foreman/vendor/ruby/2.1.0/gems/fog-google-0.1.0/lib/fog/google/requests/compute/insert_server.rb:

          # ExternalIP is default value for server creation

          access_config = {'type' => 'ONE_TO_ONE_NAT', 'name' => 'External NAT'}

          # leave natIP undefined to use an IP from a shared ephemeral IP address pool

          if options.key? 'externalIp'

            access_config['natIP'] = options.delete 'externalIp'

            # If set to 'false', that would mean user does no want to allocate an external IP

            access_config = nil if access_config['natIP'] == false

          end

 So resource.networkInterfaces

0

.accessConfigs

0

.nat should be undefined if one wants a ephemeral IP assigned?

#2 - 03/10/2016 03:09 AM - Dominic Cleal

- Category set to Compute resources - GCE

#3 - 03/17/2016 03:04 PM - Aanjaneya Mishra

'resource.networkInterfaces[0].accessConfigs[0].natIP': 'true'. Must be an IP address 

also if I fiddle with subnets and interface names or provide internal IP then it gives someting like no subnetwork defined for custom network.

I have spent two days on it. This problem just doesn't let me go forward. Possibly I shoud try to create a new gce instance using gcloud or web

console: manually install puppet agent/salt-minion on it and then add it to foreman.

Do not have a clue as I just discovered foreman a few days ago.

A few hints about workaroud might be helpful.

#4 - 03/21/2016 10:00 AM - Dominic Cleal
- Related to Bug #14282: Foreman GCE can't create new host on custom sub network added

#5 - 02/13/2019 10:01 AM - Kavita Gaikwad

- Is duplicate of Bug #4179: Invalid value for field 'resource.networkInterfaces[0].accessConfigs[0].natIP': 'false'.  Must be an IP address added

#6 - 03/20/2019 05:18 PM - Kavita Gaikwad

- Status changed from New to Duplicate
